BEGIN
  FOR invc IN
  (SELECT c_no,
    c_name,
    p_name,
    qty,
    price unit_prc,
    (qty * price) total_prc,
    sysdate invoice_dt,
    launch_dt
  FROM c_order NATURAL
  JOIN product NATURAL
  JOIN customer
  )
  LOOP
      INSERT
      INTO invoice VALUES
        (
          invc.c_no,
          invc.c_name,
          invc.p_name,
          invc.qty,
          invc.unit_prc,
          invc.total_prc,
          invc.invoice_dt
        );
    END LOOP;
END;